Acquire the signer lock on a session
curl --request POST \
--url https://{host}/extern/fe/intent/{intentId}/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Publishable-Key: <api-key>' \
--data '
{
"signerAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'const options = {
method: 'POST',
headers: {
'X-Publishable-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({signerAddress: '0x1234567890abcdef1234567890abcdef12345678'})
};
fetch('https://{host}/extern/fe/intent/{intentId}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent/{intentId}/lock"
payload = { "signerAddress": "0x1234567890abcdef1234567890abcdef12345678" }
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"data": {
"intentId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"type": "DEPOSIT",
"status": "OPEN",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": {
"chainId": 8453,
"inputAssetAddress": "0x1234567890abcdef1234567890abcdef12345678",
"eoa": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "<string>"
},
"quoteSummary": {
"originChainId": 8453,
"destinationChainId": 8453,
"inputSymbol": "<string>",
"inputAmount": "<string>",
"inputAmountUsd": "<string>",
"outputSymbol": "<string>",
"outputAmount": "<string>",
"outputAmountUsd": "<string>",
"feesUsd": "<string>"
},
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "0x1234567890abcdef1234567890abcdef12345678",
"txHashes": [
"<string>"
],
"chainIds": [
8453
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": {
"originChainId": 8453,
"destinationChainId": 8453,
"input": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "<string>",
"amount": "<string>",
"amountFormatted": "<string>",
"amountUsd": "<string>"
},
"output": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "<string>",
"amount": "<string>",
"amountFormatted": "<string>",
"amountUsd": "<string>"
},
"fees": {
"gas": {
"amountUsd": "<string>"
},
"relay": {
"amountUsd": "<string>"
},
"totalUsd": "<string>"
},
"timeEstimate": 1,
"steps": [
{
"kind": "approve",
"description": "<string>",
"to": "0x1234567890abcdef1234567890abcdef12345678",
"data": "<string>",
"value": "<string>",
"chainId": 8453
}
]
}
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Acquire the signer lock on a session
POST
/
extern
/
fe
/
intent
/
{intentId}
/
lock
Acquire the signer lock on a session
curl --request POST \
--url https://{host}/extern/fe/intent/{intentId}/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Publishable-Key: <api-key>' \
--data '
{
"signerAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'const options = {
method: 'POST',
headers: {
'X-Publishable-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({signerAddress: '0x1234567890abcdef1234567890abcdef12345678'})
};
fetch('https://{host}/extern/fe/intent/{intentId}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent/{intentId}/lock"
payload = { "signerAddress": "0x1234567890abcdef1234567890abcdef12345678" }
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"data": {
"intentId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"type": "DEPOSIT",
"status": "OPEN",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": {
"chainId": 8453,
"inputAssetAddress": "0x1234567890abcdef1234567890abcdef12345678",
"eoa": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "<string>"
},
"quoteSummary": {
"originChainId": 8453,
"destinationChainId": 8453,
"inputSymbol": "<string>",
"inputAmount": "<string>",
"inputAmountUsd": "<string>",
"outputSymbol": "<string>",
"outputAmount": "<string>",
"outputAmountUsd": "<string>",
"feesUsd": "<string>"
},
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "0x1234567890abcdef1234567890abcdef12345678",
"txHashes": [
"<string>"
],
"chainIds": [
8453
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": {
"originChainId": 8453,
"destinationChainId": 8453,
"input": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "<string>",
"amount": "<string>",
"amountFormatted": "<string>",
"amountUsd": "<string>"
},
"output": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "<string>",
"amount": "<string>",
"amountFormatted": "<string>",
"amountUsd": "<string>"
},
"fees": {
"gas": {
"amountUsd": "<string>"
},
"relay": {
"amountUsd": "<string>"
},
"totalUsd": "<string>"
},
"timeEstimate": 1,
"steps": [
{
"kind": "approve",
"description": "<string>",
"to": "0x1234567890abcdef1234567890abcdef12345678",
"data": "<string>",
"value": "<string>",
"chainId": 8453
}
]
}
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Account Type publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Path Parameters
RFC 4122 UUID
Example:
"8e9f4d67-51ad-49aa-a502-2f569aaf7399"
Body
application/json
EVM address. The server normalizes it to EIP-55 checksum case.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1234567890abcdef1234567890abcdef12345678"
Last modified on July 24, 2026
Was this page helpful?